Bug 813272 - Import from BPMN2 in the Designer does not overwrite
Import from BPMN2 in the Designer does not overwrite
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER2
: 6.0.0
Assigned To: Tihomir Surdilovic
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 07:33 EDT by Zuzana Krejčová
Modified: 2014-08-06 16:09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Import from BPMN2 in the Designer does not overwrite the existing process definition. Consequence: User had to manually remove the old definition before importing the new one. Fix: Designer was modified so that it now prompts the user if the imported definition should replace the existing definition or not. Result: This issue has been fixed with the latest release. The user can now choose to either replace the old definition or add the imported definition to the already existing one.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2012-04-17 07:33:46 EDT
Description of problem:
Import from BPMN2 has an interesting bug/feature - it does not overwrite what is already present. Say you have a process already defined but you have seen a better solution and want to change it quickly and keep the old process name. You would naturally just click Import from BPMN2 and expect it to change the old definition into the new one.
What actually happens is that you keep the old definition and just paste the new one over it. This would be a very nice and useful feature - but it is not the expected behaviour. It would be nice to have such a feature, but the import function should probably overwrite the previous process definition.
Perhaps this Import function could be 'fixed' and another function (adding a definition and not overwriting the old one) added?



Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER5
Comment 3 Tihomir Surdilovic 2013-07-04 09:53:56 EDT
This was added in community - designer now asks the user if to replace the currently existing model with the import or not.
Comment 7 Kanchan Desai 2013-10-11 07:43:00 EDT
Hi Zuzana,

Doc Text has been added. Can you please review the CCFR.

Note You need to log in before you can comment on or make changes to this bug.